Index: sys/sys/ucred.h
===================================================================
RCS file: /cvs/OpenBSD/src/sys/sys/ucred.h,v
retrieving revision 1.6
retrieving revision 1.6.24.3
diff -u -r1.6 -r1.6.24.3
--- sys/sys/ucred.h	15 Aug 2003 20:32:20 -0000	1.6
+++ sys/sys/ucred.h	13 Feb 2009 09:09:00 -0000	1.6.24.3
@@ -35,6 +35,8 @@
 #ifndef _SYS_UCRED_H_
 #define	_SYS_UCRED_H_
 
+#include <sys/inst.h>			/* For struct inst */
+
 /*
  * Credentials.
  */
@@ -44,6 +46,7 @@
 	gid_t	cr_gid;			/* effective group id */
 	short	cr_ngroups;		/* number of groups */
 	gid_t	cr_groups[NGROUPS];	/* groups */
+	struct	inst *cr_inst;		/* instance */
 };
 #define NOCRED ((struct ucred *)-1)	/* no credential available */
 #define FSCRED ((struct ucred *)-2)	/* filesystem credential */
@@ -56,7 +59,8 @@
 struct ucred	*crcopy(struct ucred *cr);
 struct ucred	*crdup(struct ucred *cr);
 void		crfree(struct ucred *cr);
-struct ucred	*crget(void);
+struct ucred	*crget(struct inst *inst);
+struct ucred	*crnew(void);
 int		suser(struct proc *p, u_int flags);
 int		suser_ucred(struct ucred *cred);
 
Index: sys/uvm/uvm_glue.c
===================================================================
RCS file: /cvs/OpenBSD/src/sys/uvm/uvm_glue.c,v
retrieving revision 1.47
retrieving revision 1.47.8.3
diff -u -r1.47 -r1.47.8.3
--- sys/uvm/uvm_glue.c	26 May 2007 20:26:51 -0000	1.47
+++ sys/uvm/uvm_glue.c	18 Feb 2009 12:43:26 -0000	1.47.8.3
@@ -352,6 +352,7 @@
 uvm_swapout_threads(void)
 {
 	struct proc *p;
+	struct inst *i;
 	struct proc *outp, *outp2;
 	int outpri, outpri2;
 	int didswap = 0;
@@ -369,27 +370,29 @@
 	 */
 	outp = outp2 = NULL;
 	outpri = outpri2 = 0;
-	LIST_FOREACH(p, &allproc, p_list) {
-		if (!swappable(p))
-			continue;
-		switch (p->p_stat) {
-		case SRUN:
-			if (p->p_swtime > outpri2) {
-				outp2 = p;
-				outpri2 = p->p_swtime;
+	LIST_FOREACH(i, &inst_all, inst_list) {
+		LIST_FOREACH(p, &i->inst_proc->allproc, p_list) {
+			if (!swappable(p))
+				continue;
+			switch (p->p_stat) {
+			case SRUN:
+				if (p->p_swtime > outpri2) {
+					outp2 = p;
+					outpri2 = p->p_swtime;
+				}
+				continue;
+				
+			case SSLEEP:
+			case SSTOP:
+				if (p->p_slptime >= maxslp) {
+					pmap_collect(p->p_vmspace->vm_map.pmap);
+					didswap++;
+				} else if (p->p_slptime > outpri) {
+					outp = p;
+					outpri = p->p_slptime;
+				}
+				continue;
 			}
-			continue;
-			
-		case SSLEEP:
-		case SSTOP:
-			if (p->p_slptime >= maxslp) {
-				pmap_collect(p->p_vmspace->vm_map.pmap);
-				didswap++;
-			} else if (p->p_slptime > outpri) {
-				outp = p;
-				outpri = p->p_slptime;
-			}
-			continue;
 		}
 	}
 
Index: sys/uvm/uvm_meter.c
===================================================================
RCS file: /cvs/OpenBSD/src/sys/uvm/uvm_meter.c,v
retrieving revision 1.24
retrieving revision 1.24.6.3
diff -u -r1.24 -r1.24.6.3
--- sys/uvm/uvm_meter.c	15 Dec 2007 03:42:57 -0000	1.24
+++ sys/uvm/uvm_meter.c	18 Feb 2009 12:43:26 -0000	1.24.6.3
@@ -100,20 +100,23 @@
 {
 	int i, nrun;
 	struct proc *p;
+	struct inst *inst;
 
 	nrun = 0;
-	LIST_FOREACH(p, &allproc, p_list) {
-		switch (p->p_stat) {
-		case SSLEEP:
-			if (p->p_priority > PZERO || p->p_slptime > 1)
-				continue;
-		/* FALLTHROUGH */
-		case SRUN:
-		case SONPROC:
-			if (p == p->p_cpu->ci_schedstate.spc_idleproc)
-				continue;
-		case SIDL:
-			nrun++;
+	LIST_FOREACH(inst, &inst_all, inst_list) {
+		LIST_FOREACH(p, &inst->inst_proc->allproc, p_list) {
+			switch (p->p_stat) {
+			case SSLEEP:
+				if (p->p_priority > PZERO || p->p_slptime > 1)
+					continue;
+			/* FALLTHROUGH */
+			case SRUN:
+			case SONPROC:
+				if (p == p->p_cpu->ci_schedstate.spc_idleproc)
+					continue;
+			case SIDL:
+				nrun++;
+			}
 		}
 	}
 	for (i = 0; i < 3; i++)
@@ -236,6 +239,7 @@
 	struct vmtotal *totalp;
 {
 	struct proc *p;
+	struct inst *inst;
 #if 0
 	struct vm_map_entry *	entry;
 	struct vm_map *map;
@@ -248,52 +252,54 @@
 	 * calculate process statistics
 	 */
 
-	LIST_FOREACH(p, &allproc, p_list) {
-		if (p->p_flag & P_SYSTEM)
-			continue;
-		switch (p->p_stat) {
-		case 0:
-			continue;
-
-		case SSLEEP:
-		case SSTOP:
-			if (p->p_priority <= PZERO)
-				totalp->t_dw++;
-			else if (p->p_slptime < maxslp)
-				totalp->t_sl++;
-			if (p->p_slptime >= maxslp)
+	LIST_FOREACH(inst, &inst_all, inst_list) {
+		LIST_FOREACH(p, &inst->inst_proc->allproc, p_list) {
+			if (p->p_flag & P_SYSTEM)
 				continue;
-			break;
-
-		case SRUN:
-		case SIDL:
-		case SONPROC:
-			totalp->t_rq++;
-			if (p->p_stat == SIDL)
+			switch (p->p_stat) {
+			case 0:
 				continue;
-			break;
+	
+			case SSLEEP:
+			case SSTOP:
+				if (p->p_priority <= PZERO)
+					totalp->t_dw++;
+				else if (p->p_slptime < maxslp)
+					totalp->t_sl++;
+				if (p->p_slptime >= maxslp)
+					continue;
+				break;
+	
+			case SRUN:
+			case SIDL:
+			case SONPROC:
+				totalp->t_rq++;
+				if (p->p_stat == SIDL)
+					continue;
+				break;
+			}
+			/*
+			 * note active objects
+			 */
+	#if 0
+			/*
+			 * XXXCDC: BOGUS!  rethink this.   in the mean time
+			 * don't do it.
+			 */
+			paging = 0;
+			vm_map_lock(map);
+			for (map = &p->p_vmspace->vm_map, entry = map->header.next;
+			    entry != &map->header; entry = entry->next) {
+				if (entry->is_a_map || entry->is_sub_map ||
+				    entry->object.uvm_obj == NULL)
+					continue;
+				/* XXX how to do this with uvm */
+			}
+			vm_map_unlock(map);
+			if (paging)
+				totalp->t_pw++;
+	#endif
 		}
-		/*
-		 * note active objects
-		 */
-#if 0
-		/*
-		 * XXXCDC: BOGUS!  rethink this.   in the mean time
-		 * don't do it.
-		 */
-		paging = 0;
-		vm_map_lock(map);
-		for (map = &p->p_vmspace->vm_map, entry = map->header.next;
-		    entry != &map->header; entry = entry->next) {
-			if (entry->is_a_map || entry->is_sub_map ||
-			    entry->object.uvm_obj == NULL)
-				continue;
-			/* XXX how to do this with uvm */
-		}
-		vm_map_unlock(map);
-		if (paging)
-			totalp->t_pw++;
-#endif
 	}
 	/*
 	 * Calculate object memory usage statistics.
